import unittest, sys
import io
import unittest.mock

from tmc import points

from tmc.utils import load, get_out

main = load('src.main', 'main')

text = '''he really really loves coffee
my sister dislikes coffee
my sister loves tea'''

class MainTest(unittest.TestCase):
   
    @points('3-8')
    def test_answer(self):

        main(text)
        output = list(get_out().split("\n"))

        testOne = ['0.03521825181113625', '0.0', '0.0', '0.19084850188786498', '0.0', '0.09542425094393249', '0.0', '0.03521825181113625']
        testTwo = ['0.0', '0.04402281476392031', '0.11928031367991561', '0.0', '0.0', '0.0', '0.04402281476392031', '0.04402281476392031']
        testThree = ['0.04402281476392031', '0.04402281476392031', '0.0', '0.0', '0.11928031367991561', '0.0', '0.04402281476392031', '0.0']

        outputOne = output[0][1:]
        outputOne = outputOne[:-1]
        outputOne = list(outputOne.split(", "))

        outputTwo = output[1][1:]
        outputTwo = outputTwo[:-1]
        outputTwo = list(outputTwo.split(", "))

        outputThree = output[2][1:]
        outputThree = outputThree[:-1]
        outputThree = list(outputThree.split(", "))

        checkBool = True

        for i in outputOne:
            if i not in testOne: 
                checkBool = False
            else:
                testOne.remove(i)

        for i in outputTwo: 
            if i not in testTwo:
                checkBool = False
            else:
                testTwo.remove(i)

        for i in outputThree: 
            if i not in testThree:
                checkBool = False
            else:
                testThree.remove(i)

        self.assertEqual(checkBool, True, "Values have not been represented at least once or are not unique.")        

if __name__ == '__main__':
    unittest.main()